Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class DataSourceTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.DataSourceTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, DataSourceType<T>

    public class DataSourceTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, DataSourceType<T>

This class implements the `data-sourceType` xsd type

Original Documentation:

Configuration of a DataSource.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`DataSourceTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`DataSourceTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClassName()` Returns the `class-name` element
`java.lang.String` | `getDatabaseName()` Returns the `database-name` element
`java.lang.String` | `getDescription()` Returns the `description` element
`java.lang.Integer` | `getInitialPoolSize()` Returns the `initial-pool-size` element
`IsolationLevelType` | `getIsolationLevel()` Returns the `isolation-level` element
`java.lang.String` | `getIsolationLevelAsString()` Returns the `isolation-level` element
`java.lang.Integer` | `getLoginTimeout()` Returns the `login-timeout` element
`java.lang.Integer` | `getMaxIdleTime()` Returns the `max-idle-time` element
`java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
`java.lang.Integer` | `getMaxStatements()` Returns the `max-statements` element
`java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getPassword()` Returns the `password` element
`java.lang.Integer` | `getPortNumber()` Returns the `port-number` element
`java.util.List<PropertyType<DataSourceType<T>>>` | `getPropertyList()` Returns all `property` elements
`java.lang.String` | `getServerName()` Returns the `server-name` element
`java.lang.String` | `getUrl()` Returns the `url` element
`java.lang.String` | `getUser()` Returns the `user` element
`java.lang.Boolean` | `isTransactional()` Returns the `transactional` element
`PropertyType<DataSourceType<T>>` | `property()` Returns the `property` element
`DataSourceType<T>` | `removeAllProperty()` Removes all `property` elements
`DataSourceType<T>` | `removeClassName()` Removes the `class-name` element
`DataSourceType<T>` | `removeDatabaseName()` Removes the `database-name` element
`DataSourceType<T>` | `removeDescription()` Removes the `description` element
`DataSourceType<T>` | `removeInitialPoolSize()` Removes the `initial-pool-size` element
`DataSourceType<T>` | `removeLoginTimeout()` Removes the `login-timeout` element
`DataSourceType<T>` | `removeMaxIdleTime()` Removes the `max-idle-time` element
`DataSourceType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
`DataSourceType<T>` | `removeMaxStatements()` Removes the `max-statements` element
`DataSourceType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
`DataSourceType<T>` | `removeName()` Removes the `name` element
`DataSourceType<T>` | `removePassword()` Removes the `password` element
`DataSourceType<T>` | `removePortNumber()` Removes the `port-number` element
`DataSourceType<T>` | `removeServerName()` Removes the `server-name` element
`DataSourceType<T>` | `removeTransactional()` Removes the `transactional` element
`DataSourceType<T>` | `removeUrl()` Removes the `url` element
`DataSourceType<T>` | `removeUser()` Removes the `user` element
`DataSourceType<T>` | `setClassName(java.lang.String className)` If not already created, a new `class-name` element with the given value will be created.
`DataSourceType<T>` | `setDatabaseName(java.lang.String databaseName)` If not already created, a new `database-name` element with the given value will be created.
`DataSourceType<T>` | `setDescription(java.lang.String description)` If not already created, a new `description` element with the given value will be created.
`DataSourceType<T>` | `setInitialPoolSize(java.lang.Integer initialPoolSize)` If not already created, a new `initial-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setIsolationLevel(IsolationLevelType isolationLevel)` If not already created, a new `isolation-level` element with the given value will be created.
`DataSourceType<T>` | `setIsolationLevel(java.lang.String isolationLevel)` If not already created, a new `isolation-level` element with the given value will be created.
`DataSourceType<T>` | `setLoginTimeout(java.lang.Integer loginTimeout)` If not already created, a new `login-timeout` element with the given value will be created.
`DataSourceType<T>` | `setMaxIdleTime(java.lang.Integer maxIdleTime)` If not already created, a new `max-idle-time` element with the given value will be created.
`DataSourceType<T>` | `setMaxPoolSize(java.lang.Integer maxPoolSize)` If not already created, a new `max-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setMaxStatements(java.lang.Integer maxStatements)` If not already created, a new `max-statements` element with the given value will be created.
`DataSourceType<T>` | `setMinPoolSize(java.lang.Integer minPoolSize)` If not already created, a new `min-pool-size` element with the given value will be created.
`DataSourceType<T>` | `setName(java.lang.String name)` If not already created, a new `name` element with the given value will be created.
`DataSourceType<T>` | `setPassword(java.lang.String password)` If not already created, a new `password` element with the given value will be created.
`DataSourceType<T>` | `setPortNumber(java.lang.Integer portNumber)` If not already created, a new `port-number` element with the given value will be created.
`DataSourceType<T>` | `setServerName(java.lang.String serverName)` If not already created, a new `server-name` element with the given value will be created.
`DataSourceType<T>` | `setTransactional(java.lang.Boolean transactional)` If not already created, a new `transactional` element with the given value will be created.
`DataSourceType<T>` | `setUrl(java.lang.String url)` If not already created, a new `url` element with the given value will be created.
`DataSourceType<T>` | `setUser(java.lang.String user)` If not already created, a new `user` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceTypeImpl

    public DataSourceTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### DataSourceTypeImpl

    public DataSourceTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public DataSourceType<T> setDescription(java.lang.String description)

  If not already created, a new `description` element with the given value will be created. Otherwise, the existing `description` element will be updated with the given value.

  Specified by:
    `setDescription` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeDescription

    public DataSourceType<T> removeDescription()

  Removes the `description` element

  Specified by:
    `removeDescription` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getDescription

    public java.lang.String getDescription()

  Returns the `description` element

  Specified by:
    `getDescription` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `description`

### setName

    public DataSourceType<T> setName(java.lang.String name)

  If not already created, a new `name` element with the given value will be created. Otherwise, the existing `name` element will be updated with the given value.

  Specified by:
    `setName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeName

    public DataSourceType<T> removeName()

  Removes the `name` element

  Specified by:
    `removeName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getName

    public java.lang.String getName()

  Returns the `name` element

  Specified by:
    `getName` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `name`

### setClassName

    public DataSourceType<T> setClassName(java.lang.String className)

  If not already created, a new `class-name` element with the given value will be created. Otherwise, the existing `class-name` element will be updated with the given value.

  Specified by:
    `setClassName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeClassName

    public DataSourceType<T> removeClassName()

  Removes the `class-name` element

  Specified by:
    `removeClassName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getClassName

    public java.lang.String getClassName()

  Returns the `class-name` element

  Specified by:
    `getClassName` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `class-name`

### setServerName

    public DataSourceType<T> setServerName(java.lang.String serverName)

  If not already created, a new `server-name` element with the given value will be created. Otherwise, the existing `server-name` element will be updated with the given value.

  Specified by:
    `setServerName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeServerName

    public DataSourceType<T> removeServerName()

  Removes the `server-name` element

  Specified by:
    `removeServerName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getServerName

    public java.lang.String getServerName()

  Returns the `server-name` element

  Specified by:
    `getServerName` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `server-name`

### setPortNumber

    public DataSourceType<T> setPortNumber(java.lang.Integer portNumber)

  If not already created, a new `port-number` element with the given value will be created. Otherwise, the existing `port-number` element will be updated with the given value.

  Specified by:
    `setPortNumber` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removePortNumber

    public DataSourceType<T> removePortNumber()

  Removes the `port-number` element

  Specified by:
    `removePortNumber` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getPortNumber

    public java.lang.Integer getPortNumber()

  Returns the `port-number` element

  Specified by:
    `getPortNumber` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `port-number`

### setDatabaseName

    public DataSourceType<T> setDatabaseName(java.lang.String databaseName)

  If not already created, a new `database-name` element with the given value will be created. Otherwise, the existing `database-name` element will be updated with the given value.

  Specified by:
    `setDatabaseName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeDatabaseName

    public DataSourceType<T> removeDatabaseName()

  Removes the `database-name` element

  Specified by:
    `removeDatabaseName` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getDatabaseName

    public java.lang.String getDatabaseName()

  Returns the `database-name` element

  Specified by:
    `getDatabaseName` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `database-name`

### setUrl

    public DataSourceType<T> setUrl(java.lang.String url)

  If not already created, a new `url` element with the given value will be created. Otherwise, the existing `url` element will be updated with the given value.

  Specified by:
    `setUrl` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeUrl

    public DataSourceType<T> removeUrl()

  Removes the `url` element

  Specified by:
    `removeUrl` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getUrl

    public java.lang.String getUrl()

  Returns the `url` element

  Specified by:
    `getUrl` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `url`

### setUser

    public DataSourceType<T> setUser(java.lang.String user)

  If not already created, a new `user` element with the given value will be created. Otherwise, the existing `user` element will be updated with the given value.

  Specified by:
    `setUser` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeUser

    public DataSourceType<T> removeUser()

  Removes the `user` element

  Specified by:
    `removeUser` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getUser

    public java.lang.String getUser()

  Returns the `user` element

  Specified by:
    `getUser` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `user`

### setPassword

    public DataSourceType<T> setPassword(java.lang.String password)

  If not already created, a new `password` element with the given value will be created. Otherwise, the existing `password` element will be updated with the given value.

  Specified by:
    `setPassword` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removePassword

    public DataSourceType<T> removePassword()

  Removes the `password` element

  Specified by:
    `removePassword` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getPassword

    public java.lang.String getPassword()

  Returns the `password` element

  Specified by:
    `getPassword` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `password`

### removeAllProperty

    public DataSourceType<T> removeAllProperty()

  Removes all `property` elements

  Specified by:
    `removeAllProperty` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### property

    public PropertyType<DataSourceType<T>> property()

  Returns the `property` element

  Specified by:
    `property` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `property`

### getPropertyList

    public java.util.List<PropertyType<DataSourceType<T>>> getPropertyList()

  Returns all `property` elements

  Specified by:
    `getPropertyList` in interface `DataSourceType<T>`
  Returns:
    list of `property`

### setLoginTimeout

    public DataSourceType<T> setLoginTimeout(java.lang.Integer loginTimeout)

  If not already created, a new `login-timeout` element with the given value will be created. Otherwise, the existing `login-timeout` element will be updated with the given value.

  Specified by:
    `setLoginTimeout` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeLoginTimeout

    public DataSourceType<T> removeLoginTimeout()

  Removes the `login-timeout` element

  Specified by:
    `removeLoginTimeout` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getLoginTimeout

    public java.lang.Integer getLoginTimeout()

  Returns the `login-timeout` element

  Specified by:
    `getLoginTimeout` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `login-timeout`

### setTransactional

    public DataSourceType<T> setTransactional(java.lang.Boolean transactional)

  If not already created, a new `transactional` element with the given value will be created. Otherwise, the existing `transactional` element will be updated with the given value.

  Specified by:
    `setTransactional` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeTransactional

    public DataSourceType<T> removeTransactional()

  Removes the `transactional` element

  Specified by:
    `removeTransactional` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### isTransactional

    public java.lang.Boolean isTransactional()

  Returns the `transactional` element

  Specified by:
    `isTransactional` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `transactional`

### setIsolationLevel

    public DataSourceType<T> setIsolationLevel(IsolationLevelType isolationLevel)

  If not already created, a new `isolation-level` element with the given value will be created. Otherwise, the existing `isolation-level` element will be updated with the given value.

  Specified by:
    `setIsolationLevel` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### setIsolationLevel

    public DataSourceType<T> setIsolationLevel(java.lang.String isolationLevel)

  If not already created, a new `isolation-level` element with the given value will be created. Otherwise, the existing `isolation-level` element will be updated with the given value.

  Specified by:
    `setIsolationLevel` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getIsolationLevel

    public IsolationLevelType getIsolationLevel()

  Returns the `isolation-level` element

  Specified by:
    `getIsolationLevel` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `isolation-level`

### getIsolationLevelAsString

    public java.lang.String getIsolationLevelAsString()

  Returns the `isolation-level` element

  Specified by:
    `getIsolationLevelAsString` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `isolation-level`

### setInitialPoolSize

    public DataSourceType<T> setInitialPoolSize(java.lang.Integer initialPoolSize)

  If not already created, a new `initial-pool-size` element with the given value will be created. Otherwise, the existing `initial-pool-size` element will be updated with the given value.

  Specified by:
    `setInitialPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeInitialPoolSize

    public DataSourceType<T> removeInitialPoolSize()

  Removes the `initial-pool-size` element

  Specified by:
    `removeInitialPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getInitialPoolSize

    public java.lang.Integer getInitialPoolSize()

  Returns the `initial-pool-size` element

  Specified by:
    `getInitialPoolSize` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `initial-pool-size`

### setMaxPoolSize

    public DataSourceType<T> setMaxPoolSize(java.lang.Integer maxPoolSize)

  If not already created, a new `max-pool-size` element with the given value will be created. Otherwise, the existing `max-pool-size` element will be updated with the given value.

  Specified by:
    `setMaxPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeMaxPoolSize

    public DataSourceType<T> removeMaxPoolSize()

  Removes the `max-pool-size` element

  Specified by:
    `removeMaxPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getMaxPoolSize

    public java.lang.Integer getMaxPoolSize()

  Returns the `max-pool-size` element

  Specified by:
    `getMaxPoolSize` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `max-pool-size`

### setMinPoolSize

    public DataSourceType<T> setMinPoolSize(java.lang.Integer minPoolSize)

  If not already created, a new `min-pool-size` element with the given value will be created. Otherwise, the existing `min-pool-size` element will be updated with the given value.

  Specified by:
    `setMinPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeMinPoolSize

    public DataSourceType<T> removeMinPoolSize()

  Removes the `min-pool-size` element

  Specified by:
    `removeMinPoolSize` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getMinPoolSize

    public java.lang.Integer getMinPoolSize()

  Returns the `min-pool-size` element

  Specified by:
    `getMinPoolSize` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `min-pool-size`

### setMaxIdleTime

    public DataSourceType<T> setMaxIdleTime(java.lang.Integer maxIdleTime)

  If not already created, a new `max-idle-time` element with the given value will be created. Otherwise, the existing `max-idle-time` element will be updated with the given value.

  Specified by:
    `setMaxIdleTime` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeMaxIdleTime

    public DataSourceType<T> removeMaxIdleTime()

  Removes the `max-idle-time` element

  Specified by:
    `removeMaxIdleTime` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getMaxIdleTime

    public java.lang.Integer getMaxIdleTime()

  Returns the `max-idle-time` element

  Specified by:
    `getMaxIdleTime` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `max-idle-time`

### setMaxStatements

    public DataSourceType<T> setMaxStatements(java.lang.Integer maxStatements)

  If not already created, a new `max-statements` element with the given value will be created. Otherwise, the existing `max-statements` element will be updated with the given value.

  Specified by:
    `setMaxStatements` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### removeMaxStatements

    public DataSourceType<T> removeMaxStatements()

  Removes the `max-statements` element

  Specified by:
    `removeMaxStatements` in interface `DataSourceType<T>`
  Returns:
    the current instance of `DataSourceType`

### getMaxStatements

    public java.lang.Integer getMaxStatements()

  Returns the `max-statements` element

  Specified by:
    `getMaxStatements` in interface `DataSourceType<T>`
  Returns:
    the node defined for the element `max-statements`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD